InfrastructureFileDescriptor (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.InfrastructureFileDescriptor class
Date: 2021-11-09

net.sourceforge.jnlp.config

## Class InfrastructureFileDescriptor

- java.lang.Object
- - net.sourceforge.jnlp.config.InfrastructureFileDescriptor

-     public class InfrastructureFileDescriptor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InfrastructureFileDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `clean(java.lang.String s)` Remove garbage from paths.
    `java.lang.String` | `getDefaultDir()`
    `java.io.File` | `getDefaultFile()`
    `java.lang.String` | `getDefaultFullPath()`
    `java.lang.String` | `getDescription()`
    `protected java.lang.String` | `getDescriptionKey()`
    `java.lang.String` | `getDirViaAcronym()` For documentation purposes, the descriptor may be created as VARIABLE/custom/path.
    `java.io.File` | `getFile()`
    `protected java.lang.String` | `getFileName()`
    `java.lang.String` | `getFullPath()`
    `java.lang.String` | `getFullPath(DeploymentConfiguration config)` overload version for control panel, which is saving to internal copy.
    `protected java.lang.String` | `getPropertiesKey()` setup-able files have to override this if they don't, they are read only, and set value will fail if it is desired to write value of property, then override and use known key.
    `protected java.lang.String` | `getSystemPathStubAcronym()`
    `java.net.URL` | `getUrl()`
    `void` | `setValue(java.lang.String value)`
    `void` | `setValue(java.lang.String value, DeploymentConfiguration config)` overload version for control panel, which is saving to internal copy.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InfrastructureFileDescriptor

          protected InfrastructureFileDescriptor()

  - ### Method Detail

    - #### getPropertiesKey

          protected java.lang.String getPropertiesKey()

      setup-able files have to override this if they don't, they are read only, and set value will fail if it is desired to write value of property, then override and use known key.
      Returns:
        null by default. Should return key to configuration if overriden.

    - #### getFile

          public java.io.File getFile()

    - #### getUrl

          public java.net.URL getUrl()
                              throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getFullPath

          public java.lang.String getFullPath()

    - #### setValue

          public void setValue(java.lang.String value,
                               DeploymentConfiguration config)

      overload version for control panel, which is saving to internal copy.
      Parameters:
        `value` - new path of file
        `config` - config where t write this value (note, usually JNLPRuntime.getConfiguration() so you don't need it, but our config gui tool is using two sets to allow undo.

    - #### getFullPath

          public java.lang.String getFullPath(DeploymentConfiguration config)

      overload version for control panel, which is saving to internal copy.
      Parameters:
        `config` - config from where to readthis value (note, usually JNLPRuntime.getConfiguration() so you don't need it, but our config gui tool is using two sets to allow undo.
      Returns:
        configured property or default

    - #### getDefaultFile

          public java.io.File getDefaultFile()

    - #### getDefaultDir

          public java.lang.String getDefaultDir()

    - #### getDefaultFullPath

          public java.lang.String getDefaultFullPath()

    - #### getSystemPathStubAcronym

          protected java.lang.String getSystemPathStubAcronym()

    - #### getFileName

          protected java.lang.String getFileName()

    - #### getDescriptionKey

          protected java.lang.String getDescriptionKey()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getDirViaAcronym

          public java.lang.String getDirViaAcronym()

      For documentation purposes, the descriptor may be created as VARIABLE/custom/path. This is whole part, which is considered as setup-able.
      Returns:
        directory acronym for nice docs

    - #### clean

          protected java.lang.String clean(java.lang.String s)

      Remove garbage from paths. Currently this methods unify all multiple occurrences of separators to single one. Eg /path/to//file will become /path/to/file. Those artifacts maybe spread during various s=path+deparator+subdir+separator file=s+separator+filename
      Parameters:
        `s` - string to be cleaned
      Returns:
        cleaned string

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        the translated description

Submit a bug or feature